//
//  PlayerView.swift
//  DouShouQiIOS
//
//  Created by Pierre FERREIRA on 13/05/2024.
//

import SwiftUI

struct PlayerView: View {
    var Player : Player;
    var name : String;
    var body: some View {
        ZStack{
            Rectangle().fill(Color.orange.opacity(0.1))
            VStack{
                Text("Détail du joueur").font(.title)
                HStack{
                    Image("Blob")
                        .resizable()
                        .aspectRatio(contentMode: .fit)
                        .frame(width: 100, height: 100)
                        .clipShape(Circle())
                        .overlay(Circle().strokeBorder(Color.orange, lineWidth: 2))
                        .scaleEffect(1)
                        .transformEffect(.identity)
                    
                    Spacer()
                
                    VStack(alignment: .leading){
                        Text("\(name)").font(.largeTitle)
                        Text("Sname :").font(.title2)
                        Text("Age :")
                        Text("Classement :")
                    }   .frame(width: 200, height: 150)
                        .background(Color.orange.opacity(0.3))
                        .cornerRadius(15)
                    
                }.padding(20)
                .background(Color.yellow)
                .cornerRadius(15)
                
                    
                Spacer()
                
                VStack{
                    Text("Statistiques")
                        .fontWeight(.heavy)
                        .font(.largeTitle)

                    Grid{
                        GridRow{
                            HStack{
                                Text("Nombre de victoires").frame(width: 100, height: 50, alignment: .center)
                                Text("9")
                            }
                        }   .frame(width: 150)
                            .background(Color.orange.opacity(0.3))
                            .cornerRadius(15)
                        
                        GridRow{
                            HStack{
                                Text("Nombre de défaites").frame(width: 100, height: 50, alignment: .center)
                                Text("5")
                            }
                        }   .frame(width: 150)
                            .background(Color.orange.opacity(0.3))
                            .cornerRadius(15)
                        
                        GridRow{
                            HStack{
                                Text("Nombre de parties jouées").frame(width: 100, height: 50, alignment: .center)
                                Text("14")
                            }
                        }   .frame(width: 150)
                            .background(Color.orange.opacity(0.3))
                            .cornerRadius(15)
                    }.frame(
                        minWidth: 0,
                        maxWidth: .infinity,
                        alignment: .center
                      )
                    Spacer()

                }
                .foregroundStyle(.white)
                .background(Color.yellow)
                .cornerRadius(15)
                .padding(20)
                
                Spacer()
                
            }.padding(20)
        }
        
    }
}

struct PlayerView_Previews: PreviewProvider {
    static var previews: some View {
        var player1 = new Player(Player(withName: "Meruemu", andSName: "Roi", andId: 2, andAge: 1)
        PlayerView(name: "bro", player1)
    }
}
